-- رسالة ترحيبية
print("تم تطوير هذه الإضافة بواسطة محمد عامر")

-- جدول يحتوي على جميع الأذكار والآيات مع تفاصيلها
local adhkar = {
    {
        type = "التسبيح",
        content = "سبحان الله وبحمده، سبحان الله العظيم",
        explanation = "ذكر يدل على تسبيح الله وتنزيهه عن كل نقص.",
        source = "حديث صحيح"
    },
    {
        type = "التسبيح",
        content = "لا حول ولا قوة إلا بالله العلي العظيم",
        explanation = "يعني أن القوة والعون لا تكون إلا من الله وحده.",
        source = "حديث صحيح"
    },
    {
        type = "الأدعية",
        content = "اللهم اغفر لي وارحمني واهدني وعافني وارزقني",
        explanation = "دعاء شامل يطلب المغفرة والرحمة والهداية والعافية والرزق.",
        source = "حديث صحيح"
    },
    {
        type = "الصلاة على النبي",
        content = "اللهم صلِّ وسلم على نبينا محمد",
        explanation = "الصلاة على النبي محمد صلى الله عليه وسلم تعني الدعاء له بالرحمة والبركة.",
        source = "حديث"
    },
    {
        type = "آية",
        content = "اللَّهُ لَا إِلَهَ إِلَّا هُوَ الْحَيُّ الْقَيُّومُ...",
        explanation = "آية الكرسي، أعظم آية في القرآن، تدل على وحدانية الله وقدرته.",
        source = "سورة البقرة - آية 255",
        reason = "فضلها عظيم في الحماية والتحصين."
    }
}

-- اختيار عنصر عشوائي من الجدول
math.randomseed(os.time()) -- لضمان العشوائية
local random_item = adhkar[math.random(#adhkar)]

-- طباعة التفاصيل
print("النص: " .. random_item.content)
print("التصنيف: " .. random_item.type)
print("التفسير: " .. random_item.explanation)
if random_item.source then
    print("المصدر: " .. random_item.source)
end
if random_item.reason then
    print("سبب النزول أو الفضل: " .. random_item.reason)
end